Name:		plymouth-theme-newsun
Version:	0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Kernel and hardware
URL:		http://pclinuxos.com
Source:		plymouth-theme-NewSun-%{version}.tar.xz
Summary:	NewSun Plymouth Theme
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Obsoletes:	plymouth-theme-NewSun
BuildArch:       noarch

%description
NewSun Plymouth Theme for PCLinuxOS

%prep

%setup -q -n plymouth-theme-NewSun-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/NewSun
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/NewSun


%posttrans
/usr/sbin/plymouth-set-default-theme NewSun
/usr/share/bootsplash/scripts/switch-themes NewSun

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/NewSun/*
%dir %{_datadir}/plymouth/themes/NewSun

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{name}

%changelog
* Sat Jun 11 2011 Neal <nealbrks0 at gmail.com> 0.1-2pclos2011
- add %postun to fix nonremoval of theme folder

* Sun Jul 11 2010 Neal <nealbrks0 at gmail.com> 0.1-1pclos2010
- New plymouth theme by Neal

